<div class="avatar">
  <div class="image">
    <img [src]="'./assets/avatars/' + selectedAvatar" alt="avatar">
  </div>
  <a mat-mini-fab (click)="shuffleAvatars()">
    <mat-icon>autorenew</mat-icon>
  </a>
</div>

<form [formGroup]="userFormGroup">
  <mat-form-field>
    <mat-label>user name *</mat-label>
    <input formControlName="userName" matInput>
  </mat-form-field>
  <br>
  <mat-form-field>
    <mat-label>enter code</mat-label>
    <input formControlName="code" matInput>
  </mat-form-field>
  <p class="form-error" [ngClass]="{show: userFormGroup.get('code')?.errors}">Only numbers are allowed.</p>
  <mat-grid-list cols="2" rowHeight="2:1">
    <mat-grid-tile>
      <button
        mat-stroked-button
        [disabled]="userFormGroup.invalid || userFormGroup.get('code')?.value.length !== 0"
        (click)="createGame()"> Start Game
      </button>
    </mat-grid-tile>
    <mat-grid-tile>
      <button
        mat-stroked-button
        [disabled]="userFormGroup.invalid || userFormGroup.get('code')?.value.length === 0"
        (click)="joinGame()">
        Join Game
      </button>
    </mat-grid-tile>
  </mat-grid-list>
</form>

